Summary:	Graph - Editor and a Programming Environement
Name:		rocs
Version:	17.12.3
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://edu.kde.org/rocs
Source0:	ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	boost-devel
BuildRequires:	grantlee5-devel
BuildRequires:	kf5archive-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5declarative-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5itemviews-devel
BuildRequires:	kf5parts-devel
BuildRequires:	kf5texteditor-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5ScriptTools)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5XmlPatterns)
Conflicts:	kde5-l10n < 17.04

%description
Rocs aims to be a Graph Theory IDE for helping professors to show the results
of a graph algorithm and also helping students to do the algorithms.
Rocs has a scripting module, done in Qt Script, that interacts with the drawn
graph and every change in the graph with the script is reflected on the drawn
one.

%files -f %{name}.lang
%doc AUTHORS COPYING.DOC COPYING.GPL2 COPYING.LIB.LGPL-2.1 COPYING.DOC README
%{_kde5_applicationsdir}/org.kde.rocs.desktop
%{_kde5_bindir}/rocs
%{_kde5_datadir}/config.kcfg/rocs.kcfg
%dir %{_kde5_datadir}/rocs/
%{_kde5_datadir}/rocs/*
%{_kde5_iconsdir}/hicolor/*/apps/rocs.*
%{_kde5_iconsdir}/hicolor/*/actions/rocs*.*
%{_kde5_xmlguidir}/rocs/rocsui.rc
%{_appdatadir}/org.kde.rocs.appdata.xml
%{_qt5_plugindir}/rocs/*/*.so

#----------------------------------------------------------------------------

%define rocsgraphtheory_major 0
%define librocsgraphtheory %mklibname rocsgraphtheory %{rocsgraphtheory_major}

%package -n %{librocsgraphtheory}
Summary:	Runtime library for Rocs
Group:		System/Libraries

%description -n %{librocsgraphtheory}
Runtime library for Rocs.

%files -n %{librocsgraphtheory}
%{_kde5_libdir}/librocsgraphtheory.so.%{rocsgraphtheory_major}*

#----------------------------------------------------------------------------

%define devname %mklibname %{name} -d

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{librocsgraphtheory} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{name}-devel < 16.04.0
Obsoletes:	%{name}-devel < 16.04.0

%description -n %{devname}
Files needed to build applications based on %{name}.

%files -n %{devname}
%{_kde5_includedir}/rocs
%{_kde5_libdir}/librocsgraphtheory.so

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang %{name} libgraphtheory %{name}.lang --with-kde --with-html
%kf5locales_fix %{name}.lang

%changelog

* Mon Mar 19 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.12.3-1
- (4b61e2b) New version 17.12.3

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (c1f7b31) New version 17.08.2

* Tue Jul 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.3-1
- (dd53a03) New version 17.04.3

* Thu Jun 29 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.2-1
- (b354551) Merge locales from kde5-l10n
- (Andrey Bondrov: 5f43007) New version 17.04.2

* Fri Mar 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.3-1
- (862df91) New version 16.12.3

* Tue Feb 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.2-1
- (533c1f6) New version 16.12.2

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-2
- (a118f63) MassBuild#1230: Increase release tag

* Sat Jan 28 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-1
- (9dd4e3a) New version 16.12.1

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-2
- (155eef9) MassBuild#1212: Increase release tag

* Sat Oct 29 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-1
- (7eaeff5) New version 16.08.2

* Thu Oct 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.3-2
- (c4d37a3) Use _appdatadir macro
- (Andrey Bondrov: b56cba7) MassBuild#1169: Increase release tag

* Wed Jul 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.3-1
- (51cdf6b) New version 16.04.3

* Mon Jun 20 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.2-1
- (0f5cc3b) New version 16.04.2

* Sun May 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.0-1
- (b76a56b) Fix files
- (Andrey Bondrov: 1fa646d) New version 16.04.0
- (Andrey Bondrov: 1fa646d) Switch to KF5

* Mon Nov 17 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.14.3-1
- (0955b44) LOG New version 4.14.3 (sync spec and patches with Cooker)

* Sun Jul 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.13.3-1
- (5729bdf) LOG New version 4.13.3 (sync spec and patches with Cooker)

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 4.13.2-2
- (66a6148) MassBuild#440: Increase release tag

* Mon Jun 16 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.13.2-1
- (5119f19) LOG New version 4.13.2 (sync spec and patches with Cooker)

* Wed Apr 09 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.12.4-1
- (894b973) LOG New version 4.12.4 (sync spec and patches with Cooker)

* Thu Mar 13 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.12.3-1
- (cde1ddd) LOG New version 4.12.3 (sync spec and patches with Cooker)

* Wed Dec 18 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.4-1
- (5ce12a1) LOG New version 4.11.4

* Thu Nov 14 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.3-1
- (dd80141) LOG New version 4.11.3

* Fri Oct 25 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.2-1
- (b8ed3bc) LOG New version 4.11.2

* Tue Jul 09 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.10.5-1
- (2906250) LOG New version 4.10.5

* Thu Jun 13 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.10.4-1
- (feee65a) LOG New version 4.10.4

* Wed May 22 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.10.3-1
- (87c1b73) LOG New version 4.10.3 (sync with Cooker)

* Sat Jan 26 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.5-1
- (e7913eb) LOG New version 4.9.5


